import { EventEmitter, OnInit, OnDestroy } from "@angular/core";
import { MatSnackBar } from "@angular/material/snack-bar";
import { DpwFeedbackWidgetService } from "./dpw-feedback-widget.service";
export declare class DpwFeedbackWidgetComponent implements OnInit, OnDestroy {
    fwService: DpwFeedbackWidgetService;
    private snackBar;
    hasError: boolean;
    RATING_STYLES: {
        STAR: string;
        SMILEY: string;
    };
    width: string;
    height: string;
    tenantId: string;
    tenantName: string;
    heading: string;
    description: string;
    ratingStyle: string;
    userEmail: boolean;
    isLoggedIn: boolean;
    feedbackBtnText: string;
    showClose: boolean;
    thankYouHeading: string;
    thankYouDescription: string;
    thankYouBtnText: string;
    enableProgressive: boolean;
    progressiveChips: string[];
    badRatingHeader: string;
    averageRatingHeader: string;
    goodRatingHeader: string;
    onClose: EventEmitter<any>;
    onSuccess: EventEmitter<any>;
    onError: EventEmitter<any>;
    textareaLimit: number;
    failureHeading: string;
    failureDescription: string;
    failureBtnText: string;
    feedbackSubmitted: any;
    feedbackWidgetMetadataId: any;
    trackingParam1: string;
    trackingParam2: string;
    trackingMetadata: object;
    environmentType: string;
    constructor(fwService: DpwFeedbackWidgetService, snackBar: MatSnackBar);
    ngOnInit(): void;
    closeHandler: () => void;
    successHandler: () => void;
    onSubmitFeedback: () => void;
    inputPropErrorHandler(errMsg: string): void;
    ngOnDestroy(): void;
}
