import { HttpClient } from "@angular/common/http";
export declare class DpwFeedbackWidgetService {
    protected http: HttpClient;
    baseURL: string;
    metaData: any;
    submitInProgress: boolean;
    private userFeedback;
    userFeedback$: import("rxjs").Observable<{
        ratingInfo: any;
        chips: any[];
        progressiveFeedbackData: any;
    }>;
    ratingInfo$: import("rxjs").Observable<any>;
    headers: any;
    apiKey: string;
    constructor(http: HttpClient);
    setConfig(tenantName: string, tenantId: string, envType: string): void;
    get currentState(): {
        ratingInfo: any;
        chips: any[];
        progressiveFeedbackData: any;
    };
    updateMetaData(data: any): void;
    updateUserFeedback(data: any): void;
    resetState(): void;
    submitFeedback(reqBody: any): import("rxjs").Observable<Object>;
    isValidHost(): boolean;
}
