export declare const RATING_TYPE: {
    GOOD: string;
    AVERAGE: string;
    BAD: string;
};
export declare const RATING_STYLES: {
    STAR: string;
    SMILEY: string;
};
export declare const SUPPORTED_RATING_STYLES: string[];
export declare const DEFAULT_FEEDBACK_META_DATA: {
    feedbackBtnText: string;
    showClose: boolean;
    thankYouHeading: string;
    thankYouDescription: string;
    thankYouBtnText: string;
    badRatingHeader: string;
    averageRatingHeader: string;
    goodRatingHeader: string;
    textareaLimit: number;
    failureHeading: string;
    failureDescription: string;
    failureBtnText: string;
};
export declare const SMILEY_RATINGS: {
    rating: number;
    title: string;
    imgUrl: string;
    type: string;
}[];
export declare const STAR_RATINGS: {
    rating: number;
    title: string;
    imgUrl: string;
    type: string;
}[];
